Upgrading Qt

From Alpine Linux
Revision as of 14:04, 27 March 2020 by PureTryOut (talk | contribs)
Jump to: navigation, search

When Qt gets upgraded between major versions, we have to rebuild some packages due to ABI changes and private API usages. The following is a list of packages to bump on every major (e.g. 5.12.x to 5.14.x) upgrade:

  • py3-qt5
  • kio-extras
  • kdeclarative
  • kwayland
  • kwayland-integration
  • plasma-framework
  • breeze
  • plasma-integration
  • qqc2-desktop-style
  • kwin
  • kaidan - compiles it's QML files